commit:     45e8119858d048e0c022b6ff4eef2ca667e4ab83
Author:     Jonas Stein <news <AT> jonasstein <DOT> de>
AuthorDate: Mon Jun 30 21:16:36 2014 +0000
Commit:     Justin Lecher <jlec <AT> gentoo <DOT> org>
CommitDate: Mon Jun 30 21:16:36 2014 +0000
URL:        
http://git.overlays.gentoo.org/gitweb/?p=proj/sci.git;a=commit;h=45e81198

add Clip4, the Cologne Laue Indexiation Program

---
 sci-physics/clip/clip-4.0.0_beta2.ebuild | 39 ++++++++++++++++++++++++++++++++
 sci-physics/clip/metadata.xml            |  9 ++++++++
 2 files changed, 48 insertions(+)

diff --git a/sci-physics/clip/clip-4.0.0_beta2.ebuild 
b/sci-physics/clip/clip-4.0.0_beta2.ebuild
new file mode 100644
index 0000000..b0ac76e
--- /dev/null
+++ b/sci-physics/clip/clip-4.0.0_beta2.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=5
+
+inherit qt4-r2 versionator
+
+MY_P="Clip4_$(get_version_component_range 4)_source"
+
+DESCRIPTION="Interactive program for evaluation of Laue diffraction patterns"
+HOMEPAGE="http://clip4.sf.net/";
+SRC_URI="mirror://sourceforge/clip4/${MY_P}.zip"
+LICENSE="GPL-3+"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+RDEPEND="
+       dev-cpp/eigen:3
+       dev-qt/qtcore
+       dev-qt/qtsvg
+       dev-qt/qtgui
+       dev-qt/qtwebkit
+       dev-qt/qtopengl
+"
+DEPEND="${RDEPEND}"
+
+S="${WORKDIR}/${MY_P}"
+
+src_prepare()
+{
+       sed -i -e 's|../eigen|/usr/include/eigen3|' \
+               -e 's|shell hg|shell true|g' Clip4.pro || die "sed failed"
+}
+
+src_install()
+{
+       dobin Clip
+       dodoc README.txt
+}

diff --git a/sci-physics/clip/metadata.xml b/sci-physics/clip/metadata.xml
new file mode 100644
index 0000000..8a9f755
--- /dev/null
+++ b/sci-physics/clip/metadata.xml
@@ -0,0 +1,9 @@
+<?xml version='1.0' encoding='UTF-8'?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd";>
+<pkgmetadata>
+  <longdescription>
+     The Cologne Laue Indexation Program, or short CLIP, is a software for the 
analysis of Laue patterns.
+
+Clip can simulate Laue patterns for arbitrary settings of crystal and 
detection plane. Moreover it allows to determine the crystal orientation from 
spots and zones marked on a Laue photograph.
+  </longdescription>
+</pkgmetadata>

Reply via email to